VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "clsForm"
Attribute VB_Creatable = True
Attribute VB_Exposed = True
Dim AddInItems As Object
Dim VBDNForm As Object
Dim FormID As Long

Public Sub ConnectAddIn(VBInst As VBIDE.Application)
  On Error GoTo error_handler
    
  Set gobjIDEAppInst = VBInst
  Set AddInItems = VBInst.AddInMenu.MenuItems
  Set VBDNForm = AddInItems.Add("VBDN form")
  FormID = VBDNForm.ConnectEvents(Me)
  Debug.Print "VBDN ConnectAddIn for clsForm"
  Exit Sub
    
error_handler:
  MsgBox Err.Description
  Exit Sub
    
End Sub
Public Sub DisconnectAddIn(ByVal mode As Integer)
  VBDNForm.DisconnectEvents FormID
  AddInItems.Remove VBDNForm
  Debug.Print "VBDN DisconnectAddIn clsForm"
End Sub

Sub AfterClick()
   Dim NewForm As FormTemplate
   Dim NewControl As ControlTemplate
   
   'create new form & set properties
   Set NewForm = gobjIDEAppInst.ActiveProject.AddFormTemplate
   With NewForm
       .Properties("Width") = 3000
       .Properties("Height") = 3000
   End With
   'create button and set properties
   Set NewControl = NewForm.ControlTemplates.Add("CommandButton")
   With NewControl
       .Properties("Name") = "cmdVBDN"
       .Properties("Caption") = "VBDN"
       .Properties("Top") = 1000
       .Properties("Left") = 1000
       .Properties("Default") = True
   End With
   
   'add code to the form
   Dim nFileHnd As Integer
   nFileHnd = FreeFile
   Open App.Path & "\temp.txt" For Output As nFileHnd
   Print #nFileHnd, "Private Sub cmdVBDN_Click()"
   Print #nFileHnd, "  MsgBox ""Hello VBDN attendees!"""
   Print #nFileHnd, "End Sub"
   Close nFileHnd
   gobjIDEAppInst.ActiveProject.ActiveForm.InsertFile App.Path & "\temp.txt"
   Kill App.Path & "\temp.txt" 'delete the code file
End Sub

